### org.jfree.layouting.renderer.model.table.cols

# Interface TableColumnModel

All Superinterfaces:
  Cloneable

Known Implementing Classes:
  AbstractColumnModel, SpearateColumnModel

`public interface TableColumnModel`
`extends Cloneable`

Creation-Date: 21.07.2006, 19:20:44

Author:
  Thomas Morgner

  ## Method Summary

  `void`

  `addAutoColumn()`

  `void`

  `addColumnGroup(TableColumnGroup column)`

  `Object`

  `clone()`

  `long`

  `getBorderSpacing()`

  `TableColumn`

  `getColumn(int i)`

  `int`

  `getColumnCount()`

  `TableColumnGroup`

  `getColumnGroup(int i)`

  `int`

  `getColumnGroupCount()`

  `TableColumnGroup`

  `getGroupForIndex(int i)`

  `long`

  `getMinimumChunkSize()`

  `long`

  `getPreferredSize()`

  `boolean`

  `isIncrementalModeSupported()`

  `void`

  `validateSizes(TableRenderBox tableRenderBox)`

## Method Details

### addAutoColumn

    public void addAutoColumn()

### addColumnGroup

    public void addColumnGroup(TableColumnGroup column)

### clone

    public Object clone()
                throws CloneNotSupportedException

### getBorderSpacing

    public long getBorderSpacing()

### getColumn

    public TableColumn getColumn(int i)

### getColumnCount

    public int getColumnCount()

### getColumnGroup

    public TableColumnGroup getColumnGroup(int i)

### getColumnGroupCount

    public int getColumnGroupCount()

### getGroupForIndex

    public TableColumnGroup getGroupForIndex(int i)

### getMinimumChunkSize

    public long getMinimumChunkSize()

### getPreferredSize

    public long getPreferredSize()

### isIncrementalModeSupported

    public boolean isIncrementalModeSupported()

### validateSizes

    public void validateSizes(TableRenderBox tableRenderBox)